%global cache /var/cache/man

Summary:	A set of documentation tools: man, apropos and whatis
Name:		man
Version:	2.6.1
Release:	1
License:	GPLv2
Group:		System/Base
Url:		http://www.nongnu.org/man-db/
Source0:	http://download.savannah.gnu.org/releases/man-db/%{name}-db-%{version}.tar.gz
Source1:	man-db.crondaily
Source2:	man-db.sysconfig
Patch0:		man-db-2.6.1-recompress-xz.patch
Requires:	groff-for-man
Requires:	xz
BuildRequires:	xz, lzma-devel, gdbm-devel, groff-for-man, groff, pkgconfig(libpipeline)

# We need to allow undefined symbols - libmandb relies on them
%define _disable_ld_no_undefined 1

%description
The man package includes three tools for finding information and/or
documentation about your Linux system: man, apropos and whatis. The man
system formats and displays on-line manual pages about commands or
functions on your system. Apropos searches the whatis database
(containing short descriptions of system commands) for a string. Whatis
searches its own database for a complete word.

The man package should be installed on your system because it is the
primary way for find documentation on a Mandriva Linux system.

%prep
%setup -q -n %name-db-%version
%patch0 -p1 -b .recompress~
# Needed after patch0
autoconf
%configure \
	--with-sections="1 1p 8 2 3 3p 4 5 6 7 9 0p n l p o 1x 2x 3x 4x 5x 6x 7x 8x" \
	--disable-setuid \
	--enable-threads=posix

%build
%make CC="%__cc %optflags" V=1
chmod 0755 ./src/man

%install
%makeinstall_std prefix=%_prefix INSTALL='%__install -p'

# install cron script for man-db creation/update
%__install -m755 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/cron.daily/man-db.cron

# move the documentation to relevant place
mv $RPM_BUILD_ROOT%{_datadir}/doc/man-db/* ./

# remove zsoelim - part of groff package
rm $RPM_BUILD_ROOT%{_bindir}/zsoelim
rm $RPM_BUILD_ROOT%{_datadir}/man/man1/zsoelim.1

# install cache directory
%__install -d -m 0755  $RPM_BUILD_ROOT%{cache}

# config for cron script
%__install -D -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/man-db

%find_lang %{name}-db
%find_lang %{name}-db-gnulib

%clean
rm -rf %{buildroot}

%files -f %{name}-db.lang,%{name}-db-gnulib.lang
%defattr(-,root,root)
%doc README man-db-manual.txt man-db-manual.ps docs/COPYING ChangeLog NEWS
%config(noreplace) %{_sysconfdir}/man_db.conf
%config(noreplace) %{_sysconfdir}/sysconfig/man-db
%{_sysconfdir}/cron.daily/man-db.cron
%{_sbindir}/accessdb
%{_bindir}/man
%{_bindir}/whatis
%{_bindir}/apropos
%{_bindir}/manpath
%{_bindir}/lexgrog
%{_bindir}/catman
%{_bindir}/mandb
%dir %{_libdir}/man-db
%{_libdir}/man-db/globbing
%{_libdir}/man-db/manconv
%{_libdir}/man-db/*.so*
# documentation and translation
%{_mandir}/man1/apropos.1*
%{_mandir}/man1/lexgrog.1*
%{_mandir}/man1/man.1*
%{_mandir}/man1/manconv.1*
%{_mandir}/man1/manpath.1*
%{_mandir}/man1/whatis.1*
%{_mandir}/man5/manpath.5*
%{_mandir}/man8/accessdb.8*
%{_mandir}/man8/catman.8*
%{_mandir}/man8/mandb.8*
%lang(es) %_mandir/es/*/*
%lang(it) %_mandir/it/*/*
%attr(0755,root,root)   %dir %{cache}


%changelog
* Wed Apr 18 2012 Bernhard Rosenkraenzer <bero@bero.eu> 2.6.1-1
+ Revision: 791834
- Switch to man-db

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 1.6g-2
+ Revision: 666363
- mass rebuild

* Sun Jan 09 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.6g-1mdv2011.0
+ Revision: 630701
- new release: 1.6g
- ditch xz patch (P25, merged upstream)
- do file renaming & utf-8 conversion in a bit nicer fashion (from pld)
- ditch obsolete gencat LC_ALLC workaround, it's been fixed upstream
- ditch obsolete workaround for passing cflags and just pass it as regularly
- ditch obsolete & broken patch for installing locale specific man pages
- sort and apply patches in a more sane order that makes them barable to maintain
- enable parallel build

* Sat Oct 16 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.6f-3mdv2011.0
+ Revision: 586026
- add '~' to backup suffixes
- fix xz patch, and also a minor bug in lzma support as well (regenerates P28)

* Sat Oct 16 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 1.6f-2mdv2011.0
+ Revision: 585940
- requires xz for compressed man pages
- patch28: support xz compressed man pages

* Sun Feb 21 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.6f-1mdv2010.1
+ Revision: 509278
- Update to 1.6f
- Drop patches who was old or applied upstream
- Fix license

* Tue Jan 05 2010 Michael Scherer <misc@mandriva.org> 1.6e-12mdv2010.1
+ Revision: 486460
- add -c to nroff option, to solve bug #28761, for using most as man pager

* Tue Nov 24 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.6e-11mdv2010.1
+ Revision: 469712
- Adapt to new groff

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.6e-10mdv2010.0
+ Revision: 426071
- rebuild

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - update old lzma patch with xz support (P500 from Matthew Dawkins)

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1.6e-9mdv2009.1
+ Revision: 317067
- rediffed some fuzzy patches
- use %%ldflags

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.6e-8mdv2009.0
+ Revision: 223146
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.6e-7mdv2008.1
+ Revision: 152898
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.6e-6mdv2008.1
+ Revision: 152897
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Fri Aug 31 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.6e-5mdv2008.0
+ Revision: 76380
- add lzma support to makewhatis too for indexing (updates P500)

* Tue Aug 21 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.6e-4mdv2008.0
+ Revision: 68174
- update P500 to really set lzma as default format

* Fri Jun 22 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.6e-3mdv2008.0
+ Revision: 43074
- add lzma to buildrequires otherwise it will build without support

* Thu Jun 07 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.6e-2mdv2008.0
+ Revision: 36785
- add lzma support (P500)
- drop useless & broken PreReq: setup
- cleanups

* Fri May 18 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.6e-1mdv2008.0
+ Revision: 28329
- Updated to 1.6e (new version from new maintainer, updated also Url and
  Source tags).
- Redid patches: i18n_whatis, new_sections, ro_usr, whatis2, security,
  mandirs, use_i18n_vars_in_a_std_way.
- Removed already applied patch lookon.
- Removed obsolete en/man.config.5 provided as a separate source, don't
  delete the one provided by upstream tarball.


* Sat Dec 09 2006 Pablo Saratxaga <pablo@mandriva.com> 1.5m2-7mdv2007.0
+ Revision: 94033
- rebuild
- ignore SIGPIPE signals, so no error messages are displayed when the pipe
  is broken before the formatting of the man page (bug #13349)

* Sat Dec 09 2006 Pablo Saratxaga <pablo@mandriva.com> 1.5m2-6mdv2007.1
+ Revision: 94015
- fix for the interface translations, and set a better value
  for default NLSPATH (bug #25806)
- improved the build of the manpages list, to avoid doubles
  (less disk access, and no more identiqual files (bug #25806)
- changed the path of the formated man pages from fsstd to fhs
  (/var/catman/xxxx to /var/cache/man/xxxx)
- call makewhatis with LANG="" for the English (default) man pages
  and create whatis files for orphaned languages
- fix for the interface translations, and set a better value
  for default NLSPATH (bug #25806)
- fixed makewhatis to not overwrite LANG value (reported by UTUMI Hirosi)
- added MAN_NAME and MAN_DESCRIPTION environement variables to makewhatis
  so that language-specific values can be defined
- i18n fixes and improvements to whatis and apropos (now recognizes
  LANGUAGE and only report a man page in only the first found language)
- calling awk with LC_ALL, as otherwise if the data is in a different
  encoding than the locale, the string handling doens't work (as the
  stream of bytes are not recognized as valid characters)
- Import man

* Sun Sep 17 2006 Pablo Saratxaga <pablo@mandriva.com> 1.5m2-6mdv
- define JNROFF in the config file so that it calls nroff and not directly
  groff (this is needed since the swith to utf-8 the i18n handling is
  done in nroff)
- converted man pages to utf-8
- enabled color output

* Tue Nov 22 2005 Pixel <pixel@mandriva.com> 1.5m2-4mdk
- patch301: use i18n vars in a std way (ie LANGUAGE first, and use the first variable set)

* Fri Jul 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5m2-3mdk
- patch 300: add new POSIX sections (#16167)

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5m2-2mdk
- rpmlint fixes

* Fri Jan 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5m2-1mdk
- new release
- fix build
- rediff patches 6, 8, 10, 104, 201 and 300
- rediff and rename patch 101: bzip2 whatis part was merged upstream, only keep
  LANG managment part
- rediff patch 104, remove $(PREFIX) references that are obsoleted by
  "mandir=$RPM_BUILD_ROOT//usr/share/man" makeinstall argument:
- kill patches 3, 11, 16, 26, 100 and 108 (merged upstream)

